#!/bin/sh
# wrapper to run nmzmail through desired maildirs
# by Kevin Coyner <kevin@rustybear.com>, 10 March 2006
# run periodically from your crontab

MAILDIRTOP="$HOME/Mail"

# maildirs to index.  Each must be separated by a space, even if on a separate line.
TARGET="$MAILDIRTOP/inbox
        $MAILDIRTOP/sent 
        $MAILDIRTOP/filebox1 
        $MAILDIRTOP/filebox2 
        $MAILDIRTOP/filebox3 
        $MAILDIRTOP/filebox4 
"

for p in nmzmail namazu; do
	if [ ! -x /usr/bin/$p ]; then
	    echo >&2 "'$p' does not exist; aborting"
	    exit 1
	fi
done

/usr/bin/nmzmail -i $TARGET
